#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x238257de, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf6c1256d, ".cancel_delayed_work_sync" },
	{ 0x20075416, "kmalloc_caches" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0x9514151a, "_mcount" },
	{ 0x4302d0eb, ".free_pages" },
	{ 0x78693f0c, ".usb_free_urb" },
	{ 0x7ea46f1f, ".kmem_cache_alloc_trace" },
	{ 0x4551520d, ".usb_alloc_coherent" },
	{ 0x5dc2665d, ".netif_tx_wake_queue" },
	{ 0x93fca811, ".__get_free_pages" },
	{ 0xc6f46339, ".init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ddd8aad, ".schedule_timeout" },
	{ 0x5edfb06d, ".__dynamic_netdev_dbg" },
	{ 0x4ebcf37, ".alloc_etherdev_mqs" },
	{ 0x4675b00a, "._dev_info" },
	{ 0x37a0cba, ".kfree" },
	{ 0x2dfdd91, ".usb_alloc_urb" },
	{ 0x2df50b0, "jiffies" },
	{ 0xd697e69a, ".trace_hardirqs_on" },
	{ 0xe3f29f70, ".__init_waitqueue_head" },
	{ 0xf24f80fb, ".request_firmware" },
	{ 0x164e7c53, ".queue_delayed_work_on" },
	{ 0xcb2ea0b5, ".finish_wait" },
	{ 0x9dd7110f, ".__dev_kfree_skb_irq" },
	{ 0x63aaa2bf, ".skb_put" },
	{ 0xcdb70c96, ".usb_reset_configuration" },
	{ 0x89d940c4, ".usb_autopm_put_interface" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0x354b15c9, ".release_firmware" },
	{ 0x4488bc8a, ".prepare_to_wait_event" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x837a815, ".free_netdev" },
	{ 0x24a579a8, ".netif_rx" },
	{ 0x33cd9c0a, ".unregister_netdev" },
	{ 0xe441248, ".usb_deregister" },
	{ 0xbcc188e3, ".pskb_expand_head" },
	{ 0x9514151a, "._mcount" },
	{ 0xba24b499, ".__dev_kfree_skb_any" },
	{ 0xeff62a52, ".usb_submit_urb" },
	{ 0x1d39dbea, ".__netdev_alloc_skb" },
	{ 0x35c1fd1e, ".usb_autopm_get_interface" },
	{ 0xd444e9a5, ".usb_register_driver" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0xebfc1f5a, "._dev_warn" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0xfe487975, ".init_wait_entry" },
	{ 0x4829a47e, ".memcpy" },
	{ 0xfdd6bbad, ".__wake_up" },
	{ 0xb30f20a0, ".register_netdev" },
	{ 0x4f976dcf, "eth_validate_addr" },
	{ 0x8fb9cd8c, "._dev_err" },
	{ 0xcc396055, ".usb_kill_urb" },
	{ 0xa1c76e0a, "._cond_resched" },
	{ 0x1b84a37c, ".__dynamic_dev_dbg" },
	{ 0x8d820115, ".usb_unlink_urb" },
	{ 0x67632a7, ".netif_carrier_on" },
	{ 0xa9842999, ".usb_free_coherent" },
	{ 0x52bf4e66, ".eth_type_trans" },
	{ 0xdd0747ea, "eth_mac_addr" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "2CFD21AC85FF8DBA9BD3136");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
